---
title: POS 4
layout: layouts/base_subject.njk
eleventyNavigation:
  key: POS 4
  parent: POS
  order: 4
---



<h2 id="overview">Course Overview</h2>
<ul></ul>

<h2 id="exercises">Programming Assignments</h2>
<ul>

</ul>

{# <h2 id="exams">Prior Exams</h2>
<ul>
</ul>
#}

<h2 id="links">Links</h2>

{% include 'blocks/code_challenge_sites.njk' %}

<h2 id="lehrstoff">Lehrstoff</h2>

<ul>
  <li>Bereich Programmiergrundlagen
    <ul>
      <li>Mit Hilfe der Konzepte der Vererbung, des Polymorphismus und der
        Datenkapselung erweiterbare und wartbare Programme schreiben</li>
      <li>Einfache Standardalgorithmen erklären und diese in einer
        Programmiersprache umsetzen</li>
    </ul>
  </li>
  <li>Bereich Anwendungsprogrammierung
    <ul>
      <li>Aufgrund der Eigenschaften einiger Programmbibliotheken für gängige
        Aufgaben eine geeignete Auswahl daraus treffen</li>
      <li>Programme mit Zugriff auf externe Komponenten mit einer modernen,
        grafischen Benutzeroberfläche entwickeln</li>
    </ul>
  </li>
  <li>Bereich Softwareentwicklungsprozess
    <ul>
      <li>Aktuelle Vorgehensmodelle und Entwicklungsmethoden verwenden</li>
      <li>Normgerechte Softwaredokumentationen manuell und automatisiert
        erstellen
      </li>
    </ul>
  </li>
</ul>
